# TdApi.ChatEventVideoChatParticipantIsMutedToggled (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatEventVideoChatParticipantIsMutedToggled

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventVideoChatParticipantIsMutedToggled

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventVideoChatParticipantIsMutedToggled

Enclosing class:
  TdApi

public static final class TdApi.ChatEventVideoChatParticipantIsMutedToggled extends TdApi.ChatEventAction
A video chat participant was muted or unmuted.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isMuted`
New value of isMuted.
`TdApi.MessageSender`
`participantId`
Identifier of the affected group call participant.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventVideoChatParticipantIsMutedToggled()`
A video chat participant was muted or unmuted.
`ChatEventVideoChatParticipantIsMutedToggled(TdApi.MessageSender participantId, boolean isMuted)`
A video chat participant was muted or unmuted.
`ChatEventVideoChatParticipantIsMutedToggled(DataInput input)`
A video chat participant was muted or unmuted.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### participantId

public TdApi.MessageSender participantId
Identifier of the affected group call participant.

### isMuted

public boolean isMuted
New value of isMuted.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventVideoChatParticipantIsMutedToggled

public ChatEventVideoChatParticipantIsMutedToggled()
A video chat participant was muted or unmuted.

### ChatEventVideoChatParticipantIsMutedToggled

public ChatEventVideoChatParticipantIsMutedToggled(TdApi.MessageSender participantId, boolean isMuted)
A video chat participant was muted or unmuted.

Parameters:
  `participantId` - MessageSender Identifier of the affected group call participant.
  `isMuted` - boolean New value of isMuted.

### ChatEventVideoChatParticipantIsMutedToggled

public ChatEventVideoChatParticipantIsMutedToggled(DataInput input) throws IOException
A video chat participant was muted or unmuted.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`